Bug 1846696 - Oops page when trying perform action on all systems from content host page
Summary: Oops page when trying perform action on all systems from content host page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Errata Management
Version: 6.7.0
Hardware: Unspecified
OS: Linux
high
medium vote
Target Milestone: 6.9.0
Assignee: James Jeffers
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-12 18:57 UTC by Calvin Smith
Modified: 2021-04-21 13:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:14:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30350 0 High Closed Oops page when trying perform action on all systems from content host page 2021-02-01 16:04:58 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:17:14 UTC

Description Calvin Smith 2020-06-12 18:57:00 UTC
Description of problem:
Getting an error page when trying to apply errata

Version-Release number of selected component (if applicable):
Satellite 6.7.1

How reproducible:
Extremely

Steps to Reproduce:
On a satellite with more than 20 hosts:
- Go to hosts->content hosts
- Select the checkbox at the top that would signify all the hosts on the page
- Click on the "select all xxx" link 
- Go to Select Action->Manage Errata 
- Select the Errata to apply
- Click Install Selected -> via remote execution

Actual results:
Oops, we're sorry but something went wrong No hosts have been specified.

Expected results:
Errata applied

Additional info:

Comment 4 James Jeffers 2020-07-08 17:46:50 UTC
Created redmine issue https://projects.theforeman.org/issues/30350 from this bug

Comment 6 Tasos Papaioannou 2021-02-02 14:24:38 UTC
Verified on 6.9.0 snap 11.0.

1.) Register and subscribe 25 content hosts.
2.) Navigate to Hosts > Content Hosts.
3.) Click on the checkbox to select all content hosts on the page.
4.) Click the 'Select all 25' link that appears at the top of the list.
5.) Click on Select Action > Manage Errata.
6.) Select the errata to apply.
7.) Click on Install Selected > via remote execution.
8.) Verify that the user is redirected to the 'Install errata' job page.

Comment 9 errata-xmlrpc 2021-04-21 13:14:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.